Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.launching.sourcelookup
Class ZipEntryStorage

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.debug.core.sourcelookup.containers.ZipEntryStorage
              org.eclipse.jdt.launching.sourcelookup.ZipEntryStorage

All Implemented Interfaces:
  IAdaptable, IStorage

Deprecated. In 3.0 this class is provided by the debug platform and clients should use the replacement class `org.eclipse.debug.core.sourcelookup.containers.ZipEntryStorage`.

public class ZipEntryStorage
extends ZipEntryStorage

Storage implementation for zip entries.

This class may be instantiated; it is not intended to be subclassed.

Since:
  2.0
See Also:
  `ArchiveSourceLocation`, `IStorage`

Constructor Summary
`ZipEntryStorage(ZipFile archive, ZipEntry entry)` Deprecated. Constructs a new storage implementation for the given zip entry in the specified zip file

Methods inherited from class org.eclipse.debug.core.sourcelookup.containers.ZipEntryStorage
`equals, getArchive, getContents, getFullPath, getName, getZipEntry, hashCode, isReadOnly`

Methods inherited from class org.eclipse.core.runtime.PlatformObject
`getAdapter`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Constructor Detail

### ZipEntryStorage

    public ZipEntryStorage(ZipFile archive,
                           ZipEntry entry)

  Deprecated.
  Constructs a new storage implementation for the given zip entry in the specified zip file

Parameters:
  `archive` - zip file
  `entry` - zip entry

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.